%define release %mkrel 3
%define version 0.5.4
%define sname pyNeighborhood

Summary: Samba share browser
Name:	pyneighborhood
Version: %version
Release: %release
License: GPL
Group: Networking/Other
Source: %{name}-%{version}.tar.xz
Patch:	pyneighborhood-0.5.4-gksu.patch.patch
Patch0: pyneighborhood-0.5.4-ui.patch
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: https://launchpad.net/pyneighborhood
BuildArch: noarch
BuildRequires:  gtk+2-devel
BuildRequires:  make
Requires: python
Requires: gtk2 >= 2.4.0
Requires: samba-client
Requires: gksu gettext
Requires: python-gobject
Requires: pygtk2.0
Provides: %{name} = %{version}
Obsoletes: %{name} < %{version}
Obsoletes: pyNeighborhood

%description
PyNeighborhood is a front end to Samba using the gtk2 libraries. 

%prep
%setup -q
%patch -p1
%patch0 -p1

%build

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT/usr

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=%sname
Comment=Graphical front end to Samba (pyNeighborhood)
Exec=%{_bindir}/%{sname}
Icon=%{name}
Terminal=false
Type=Application
Categories=Utility;X-MandrivaLinux-Internet-FileTransfer;
Encoding=UTF-8
EOF

# icons
mkdir -p %{buildroot}/%{_liconsdir}
convert icons/pyneighborhood.png -resize 48x48 %{buildroot}/%_liconsdir/%name.png
mkdir -p %{buildroot}/%{_iconsdir}
convert icons/pyneighborhood.png -resize 32x32 %{buildroot}/%_iconsdir/%name.png
mkdir -p %{buildroot}/%{_miconsdir}
convert icons/pyneighborhood.png -resize 16x16 %{buildroot}/%_miconsdir/%name.png

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
/*

%changelog
* Wed Aug 14 2013 billybot <billybot> 0.5.4-2pclos2013
- update

* Fri Oct 26 2012 Neal <nealbrks0 at gmail dot com> 0.5.4-1pclos2012
- process

* Thu Oct 25 2012 Ken <lxgator at gmail.com> 0.5.4-1pclos2012
- 0.5.4

* Fri Sep 03 2010 Texstar <texstar at gmail.com> 0.5.0-3pclos2010
- rebuild for python 2.6.6

